# Glom::ExceptionConnection Class Reference

Inherits std::exception.

Collaboration diagram for Glom::ExceptionConnection:
[legend]

List of all members.

## Public Types

enum | failure_type { FAILURE_NO_SERVER, FAILURE_NO_DATABASE, FAILURE_NO_BACKEND }

## Public Member Functions

| ExceptionConnection (failure_type failure)
virtual | ~ExceptionConnection () throw ()
virtual const char* | what () const throw ()
virtual failure_type | get_failure_type () const

## Member Enumeration Documentation

enum Glom::ExceptionConnection::failure_type

Enumerator:

  FAILURE_NO_SERVER |
  FAILURE_NO_DATABASE |
  FAILURE_NO_BACKEND |

## Constructor & Destructor Documentation

Glom::ExceptionConnection::ExceptionConnection | ( | failure_type | failure | ) |

Glom::ExceptionConnection::~ExceptionConnection | ( |  | ) | throw ()`[virtual]`

## Member Function Documentation

ExceptionConnection::failure_type Glom::ExceptionConnection::get_failure_type | ( |  | ) | const`[virtual]`

const char * Glom::ExceptionConnection::what | ( |  | ) | const throw ()`[virtual]`

The documentation for this class was generated from the following files:

- connectionpool_backends/backend.h
- connectionpool_backends/backend.cc